Exploits and Security Updates to Core Impact Threat Intelligence

Exploits and Security Updates to Core Impact Threat Intelligence

When you buy Core Impact, we provide real-time updates including new penetration testing exploits and tests for additional platforms as they become available. We advise you of any new modules by email, after which you can download them directly from within Core Impact. All product updates are free during the license period. You're always on the cutting edge of vulnerability and threat intelligence because Core Impact keeps you there.

Use the controls below to navigate Core Impact exploits and other modules.

Title Description Vulnerabilty Category Platform
CA Message Queuing Buffer Overflow Exploit This is an exploit for CA's Unicenter Message Queuing buffer overflow vulnerability. CVE-2005-2668 Exploits/Remote Windows
Media Player Non-IE Plugin Exploit This module exploits a vulnerability in Microsoft Windows Media Player on non Internet Explorer web browsers (MS06-006). CVE-2006-0005 Exploits/Client Side Windows
Windows .WMF file parsing exploit update This module exploits a vulnerability in the way WMF metafile images are handled by Microsoft Windows Graphics Rendering Engine. In this new version, the generated metafile is much more random and fully compliant with the file format. Additionally, the payload tries to escape to another process, then returns from the callback transferring the execution flow back to the host application, hiding exploitation from the user's perception. Note that the exploit will be moved to the Exploits/Client Side category after applying this update. CVE-2005-4560 Exploits/Client Side Windows
Windows IGMPv3 IP Options parsing Remote DoS Some Windows kernel versions are susceptible to a remote denial-of-service vulnerability. This issue allows remote attackers to crash affected kernels, denying further network service to legitimate users (MS06-007). CVE-2006-0021 Denial of Service/Remote Windows
Blue Coat Systems WinProxy Exploit This module exploits a buffer overflow vulnerability in Blue Coat Systems Inc.'s WinProxy. CVE-2005-4085 Exploits/Remote Windows
OpenBSD PF IP Fragment Remote DoS This module exploits a OpenBSD's PF remote denial-of-service vulnerability. This issue is due to a flaw in affected kernels that results in a kernel crash when attempting to normalize IP fragments. CVE-2006-0381 Denial of Service/Remote OpenBSD
Winamp Computer Name Handling Buffer Overflow Exploit This module exploits a vulnerability in Winamp 5.12 WARNING: This is an early release module. This is not the final version of this module. It is a pre-released version in order to deliver a module as quickly as possible to our customers that may be useful in some situations. Since this module is not the final version it may contain bugs or have limited functionality and may not have complete or accurate documentation. This update can be downloaded and installed by selecting 'Modules' -> 'Update modules' from IMPACT's main menu. A workspace must be opened for the operation to succeed. CVE-2006-0476 Exploits/Client Side Windows
Firefox and Mozilla compareTo exploit Firefox before 1.0.5, Mozilla before 1.7.9, and Netscape 8.0.2 and 7.2 allows remote attackers to execute arbitrary code, by calling InstallVersion.compareTo with an object instead of a string. This module exploits this vulnerability and installs an agent. CVE-2005-2265 Exploits/Client Side Windows
IIS .DLL URL DoS This module restarts the IIS server. This exploit forces the IIS process inetinfo.exe to throw an unhandled exception. CVE-2005-4360 Denial of Service/Remote Windows
miniserv perl format string exploit This is an exploit for Usermin's and Webmin's perl format string vulnerability (CAN-2005-3912). CVE-2005-3912 Exploits/Remote Linux, Windows
Windows .WMF file parsing exploit This module exploits a vulnerability in the way WMF metafile images are handled by Microsoft Window's graphic rendering engine. WARNING: This is an early release module. This is not the final version of this module. It is a pre-released version in order to deliver a module as quickly as possible to our customers that may be useful in some situations. Since this module is not the final version it may contain bugs or have limited functionality and may not have complete or accurate documentation. This update can be downloaded and installed by selecting 'Modules' -> 'Update modules' from IMPACT's main menu. A workspace must be opened for the operation to succeed. CVE-2005-4560 Exploits/Client Side Windows
SuSE Linux chfn exploit This module exploits a vulnerability in SuSE chfn command and escalates privileges to root. CVE-2005-3503 Exploits/Local Linux
MSRPC Netware Client Buffer Overflow exploit update This module exploits an unchecked buffer in the Client Service for NetWare on Microsoft Windows, and installs an agent (MS05-046). This update adds support for Windows XP. CVE-2005-1985 Exploits/Remote Windows
VERITAS NetBackup BPJava Exploit NetBackup Java user-interface is affected by a remote format string vulnerability. An attacker can exploit this vulnerability by crafting a malicious request that contains format specifiers. This module exploits this vulnerability and installs an agent. CVE-2005-2715 Exploits/Remote Windows, Linux
Microsoft Internet Explorer window() exploit Microsoft Internet Explorer 6 allows remote attackers to cause a denial of service (crash) and execute arbitrary code via a Javascript BODY onload event that calls the window function. This module exploits this vulnerability and installs an agent. CVE-2005-1790 Exploits/Client Side Windows
MSRPC Netware Client Buffer Overflow exploit This module exploits an unchecked buffer in the Client Service for NetWare on Microsoft Windows, and installs an agent (MS05-046). CVE-2005-1985 Exploits/Remote Windows
MSRPC UMPNPMGR MS05-47 DoS This module exploits a buffer overflow and force the remote machine to reboot (MS05-047). CVE-2005-2120 Denial of Service/Remote Windows
Ipswitch IMail login exploit This module exploits a stack-based buffer overflow in the IMAP server in IMail 8.12 and 8.13 in Ipswitch Collaboration Suite (ICS). CVE-2005-1255 Exploits/Remote Windows
MSRPC SPOOLSS Buffer Overflow exploit This module exploits a heap based buffer overflow in the Print Spooler service (MS05-043) and installs an agent. CVE-2005-1984 Exploits/Remote Windows
Sun Solaris Printd Arbitrary File Deletion Exploit Sun Solaris printd is affected by an arbitrary file deletion vulnerability. This module exploits this vulnerability. CVE-2005-4797 Exploits/Tools Solaris
MailEnable SMTP auth command exploit This module exploits a stack-based buffer overflow in Mailenable smtp for Windows, allowing remote attackers to execute arbitrary code via AUTH command input. CVE-2005-2223 Exploits/Remote Windows
IE devenum.dll COM Object Exploit This module runs a web server waiting for vulnerable clients (Internet Explorer) to connect to it. When the client connects, it will try to install a Level0 agent by exploiting a vulnerability in the "devenum.dll" COM object when instantiated in Internet Explorer via a specially crafted HTML tag (MS05-038). CVE-2005-1990 Exploits/Client Side Windows
Exchange X-LINK2STATE CHUNK Exploit This module exploits a heap based buffer overflow handling the X-LINK2STATE command in the SMTP service of Exchange Server. CVE-2005-0560 Exploits/Remote Windows
MailEnable IMAP status command exploit This module exploits a buffer overflow in the status command of MailEnable and installs an agent. The status command requires an authenticated session, so valid credentials are required. CVE-2005-2278 Exploits/Remote Windows
CA BrightStor ARCserve Backup SQL agent exploit This module exploits a stack-based buffer overflow in CA BrightStor ARCserve Backup for Windows and installs a level0 agent. CVE-2005-1272 Exploits/Remote Windows
VERITAS Backup Exec Agent exploit This module exploits a stack-based buffer overflow in VERITAS Backup Exec Remote Agent 9.0 through 10.0 for Windows allowing remote attackers to execute arbitrary code. CVE-2005-0773 Exploits/Remote Windows
Solaris LD_AUDIT exploit This module exploits a vulnerability in the Solaris Runtime Linker using the unsafe environment variable LD_AUDIT. CVE-2005-2072 Exploits/Local Solaris
PHP memory_limit exploit This module exploits a vulnerability in the memory_limit function in PHP and installs a level0 agent. CVE-2004-0594 Exploits/Remote Linux
IE javaprxy.dll COM Object Exploit This module tries to install a Level0 agent by exploiting a vulnerability in the "javaprxy.dll" COM Object when instantiated in Internet Explorer via a specially crafted HTML tag. CVE-2005-2087 Exploits/Client Side Windows
SMB MS05-027 DoS By sending a specially crafted SMB packet, this exploit performs a Denial of Service attack on the target machine. CVE-2005-1206 Denial of Service/Remote Windows